## gnuradio 3.10.10.0

=== debian/changelog ===
gnuradio (3.10.10.0-1) unstable; urgency=medium

  * New upstream release.
    - Runtime
      * Modernize location of config files. XDG_CONFIG_HOME will be used if set
      (often $HOME/.config). This change attempts to be backward compatible with
      existing config file locations, but be aware that config files may show up
      in the old ($HOME/.gnuradio/) and new ($XDG_CONFIG_HOME/gnuradio)
      locations depending on GNU Radio version. Files are not automatically
      moved, since some users run multiple versions of GNU Radio.
      * Ctrlport Probe, Ctrlport Probe PSD and gr-ctrlport-monitor.
        Ctrlport Monitor blocks are still broken.
    - GRC
      * NEW Qt-based front end! Run gnuradio-companion --qt to try it
        out. This feature is still in testing, so the Gtk front end runs by
        default. In a future release, Qt will become the default, removing Gtk
        as a manditory dependency. Maintenance will focus on the Qt front end
        at that point.
      * Restore property field background colors (as a View option, off by
        default) for the Gtk front end. Background colors were previously
        replaced with textual type string.
      * The canvas can be panned using the middle mouse button
      * C++ code generation improvements related to parameters and strings
      * C++ code generation fixed for Add Const
    - gr-audio
      * Added 96 kHz and 192 kHz selections to ALSA source/sink
    - gr-blocks
      * Float To UChar block adds vector support,
        and also scale and bias params
    - gr-digital
      * Additive Scrambler adds soft symbol handling
      * Add callback to set header format in Digital Protocol Formatter
    - modtool
      * Improvements to handling of Python blocks
        (add, rm, and rename work reliably)
      * New parseable manifest format (yaml instead of md) to better
        support the OOT ecosystem
      * Manifest and examples are installed by "make install"
  * Update standards version to 4.7.0, no changes needed.

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 22 Apr 2024 17:03:08 -0400

gnuradio (3.10.10.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 06 Apr 2024 20:12:37 -0400

gnuradio (3.10.9.2-2) unstable; urgency=medium

  * Acknowledge NMU and adopt time_t64 changes.
  * Update dependencies (Closes: #1067058)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 18 Mar 2024 07:52:26 -0400

=== debian/control ===
Source: gnuradio
Section: comm
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends-Indep: doxygen-latex
Build-Depends: dpkg-dev (>= 1.22.5), cmake (>= 3.16.3),
               cppzmq-dev [!hurd-amd64],
               debhelper-compat (= 13),
               dh-python,
               gir1.2-gtk-3.0,
               gir1.2-pango-1.0,
               graphviz,
               libad9361-dev [linux-any],
               libasound2-dev,
               libboost-date-time-dev,
               libboost-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-test-dev,
               libboost-thread-dev,
               libcodec2-dev,
               libcppunit-dev,
               libfftw3-dev,
               libfontconfig-dev,
               libgmp-dev,
               libgsl-dev,
               libgsm1-dev,
               libiio-dev [linux-any],
               libjack-jackd2-dev,
               libjs-mathjax,
               libpulse-dev,
               libqt5opengl5-dev,
               libqt5svg5-dev,
               libqwt-qt5-dev,
               libsdl1.2-dev,
               libsndfile1-dev,
               libsoapysdr-dev,
               libspdlog-dev,
               libthrift-dev (>= 0.13.0-5) [amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el s390x riscv64],
               libuhd-dev (>= 4),
               libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 loong64 mipsel mips64el powerpc ppc64 ppc64el sh4],
               libusb-1.0-0-dev [!kfreebsd-any],
               libusb2-dev [kfreebsd-any],
               libvolk-dev,
               libxi-dev,
               libxrender-dev,
               ninja-build,
               pkgconf,
               portaudio19-dev,
               pybind11-dev,
               python3-click,
               python3-click-plugins,
               python3-dev,
               python3-gi,
               python3-gi-cairo,
               python3-jsonschema,
               python3-lxml,
               python3-mako,
               python3-numpy,
               python3-opengl,
               python3-packaging,
               python3-pygccxml [linux-amd64 arm64 armel armhf i386 ppc64el riscv64 s390x],
               python3-pyqt5 [!hurd-amd64],
               python3-schema,
               python3-scipy,
               python3-thrift [amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el riscv64 s390x],
               python3-yaml,
               python3-zmq [!hurd-amd64],
               qt5-qmake,
               qtbase5-dev,
               qttools5-dev,
               thrift-compiler [amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el riscv64 s390x],
               xauth,
               xmlto
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.gnuradio.org/
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gnuradio
Vcs-Git: https://salsa.debian.org/bottoms/pkg-gnuradio.git

Package: gnuradio
Architecture: any
Depends: gnome-terminal | x-terminal-emulator,
         libjs-mathjax,
         libvolk-bin,
         python3-click,
         python3-click-plugins,
         python3-gi,
         python3-gi-cairo,
         python3-jsonschema,
         python3-lxml,
         python3-mako,
         python3-numpy,
         python3-opengl,
         python3-packaging,
         python3-pygccxml [linux-amd64 arm64 armel armhf i386 ppc64el riscv64 s390x],
         python3-pyqt5 [!hurd-amd64],
         python3-pyqtgraph,
         python3-schema,
         python3-thrift [amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el riscv64 s390x],
         python3-yaml,
         python3-zmq [!hurd-amd64],
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: gnuradio-dev,
            python3-matplotlib,
            python3-networkx,
            python3-pygccxml (>= 2.0),
            python3-pyqt5.qwt,
            python3-scipy,
            soapysdr-tools
Suggests: gqrx-sdr, gr-fosphor, gr-osmosdr, rtl-sdr, uhd-host
Breaks: gr-iio, gr-soapy
Replaces: gr-iio, gr-soapy
Multi-Arch: foreign
Description: GNU Radio Software Radio Toolkit
 GNU Radio provides signal processing blocks to implement software
 radios. It can be used with readily-available low-cost external RF
 hardware to create software-defined radios, or without hardware in a
 simulation-like environment. It is widely used in hobbyist, academic
 and commercial environments to support both wireless communications
 research and real-world radio systems.
 .
 GNU Radio applications are primarily written using the Python
 programming language, while the supplied performance-critical signal
 processing path is implemented in C++ using processor floating-point
 extensions, where available. Thus, the developer is able to implement
 real-time, high-throughput radio systems in a simple-to-use,
 rapid-application-development environment.
 .
 While not primarily a simulation tool, GNU Radio does support
 development of signal processing algorithms using pre-recorded or
 generated data, avoiding the need for actual RF hardware.
 .
 This package contains the gnuradio-companion, a graphical tool for
 creating signal flow graphs and generating flow-graph source code.
 Also included are a variety of tools and utility programs.

Package: gnuradio-doc
Section: doc
Architecture: all
Depends: libjs-mathjax, ${misc:Depends}
Multi-Arch: foreign
Description: GNU Software Defined Radio toolkit documentation
 Documentation for the GNU Radio software defined radio system
 in html and PDF form.
 .
 HTML docs start file:///usr/share/doc/gnuradio-doc/html/index.html
 .
 PDF docs in file:///usr/share/doc/gnuradio-doc/refman.pdf.gz
 .
 Part of the main gnuradio build.

Package: gnuradio-dev
Section: libdevel
Architecture: any
Breaks: gr-iio
Replaces: gr-iio
Pre-Depends: ${misc:Pre-Depends}
Depends: gnuradio (>= ${binary:Version}),
         libboost-date-time${boost-version}-dev,
         libboost-filesystem${boost-version}-dev,
         libboost-program-options${boost-version}-dev,
         libboost-regex${boost-version}-dev,
         libboost-system${boost-version}-dev,
         libboost-test${boost-version}-dev,
         libboost-thread${boost-version}-dev,
         libcppunit-dev,
         libfftw3-dev,
         libgmp-dev,
         libgsm1-dev,
         libspdlog-dev,
         libthrift-dev [amd64 arm64 armel armhf i386],
         libvolk-dev,
         pybind11-dev,
         python3-dev,
         ${misc:Depends}
Suggests: cmake, libqwt-qt5-dev, pkgconf, qtbase5-dev
Description: GNU Software Defined Radio toolkit development
 Header files for the GNU Radio software defined radio system.
 Since GNU Radio is a framework for development of SDR
 applications, you are likely to need this installed.
 .
 Part of the main gnuradio build.

Package: libgnuradio-analog3.10.10
Provides: ${t64:Provides}
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio analog functions
 Library for handling analog signal processing functions.
 These functions are also in gnuradio-core.
 Part of the main gnuradio build.

Package: libgnuradio-audio3.10.10
Provides: ${t64:Provides}
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio audio functions
 This is the gr-audio library, used to connect to audio sources
 (mic-in) and sinks (speaker-out) ports on a computer. The underlying
 hardware driver is system and OS dependent and this module should
 automatically discover the correct one to use.  Part of the main
 gnuradio build.

Package: libgnuradio-blocks3.10.10
Provides: ${t64:Provides}
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio blocks functions
 Some non-signal processing blocks.
 These functions are also in gnuradio-core.
 Part of the main gnuradio build.

Package: libgnuradio-channels3.10.10
Provides: ${t64:Provides}
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio channels functions
 Some channel oriented processing blocks.
 These functions are also in gnuradio-core.
 Part of the main gnuradio build.

Package: libgnuradio-digital3.10.10
Provides: ${t64:Provides}
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio digital communications functions
 All the functions for doing digital modulation and demodulation,
 including bpsk, qpsk, gmsk and ofdm signals.
 Part of the main gnuradio build.

Package: libgnuradio-dtv3.10.10
Provides: ${t64:Provides}
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio digital TV signal processing blocks
 ATSC support, gr-atsc ported to a new framework, as well as
 DVB-S2, DVB-T, DVB-T2 digital video broadcast standards.
 Part of the main gnuradio build.

Package: libgnuradio-fec3.10.10
Provides: ${t64:Provides}
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio forward error correction support
 Handle forward error correction processing in gnuradio.
 Implements the GNU Radio FEC API, supporting encoders and
 decoders for no-op dummmy, repetition, and convolutional classes.
 Part of the main gnuradio build.

Package: libgnuradio-fft3.10.10
Provides: ${t64:Provides}
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio fast Fourier transform functions
 Library for Fourier transform techniques used in gnuradio.
 Uses single precision FFT from libfftw3-single3.
 Part of the main gnuradio build.

Package: libgnuradio-filter3.10.10
Provides: ${t64:Provides}
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio filter functions
 Library of filter blocks used in gnuradio. Implements
 FIR, IIR and FFT filters, as well as Polyphase filterbank and
 PFB arbitrary resampler methods.
 Part of the main gnuradio build.

Package: libgnuradio-iio3.10.10
Provides: ${t64:Provides}
Section: libs
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: IIO blocks for GnuRadio
 Libiio is a library that has been conceived to ease the development of
 applications interfacing Industrial Input/Output (IIO) devices through
 the IIO subsystem of the Linux kernel.
 .
 The IIO blocks for GnuRadio can be used to create flowgraphs that interface
 IIO devices through libiio.
 .
 Part of the main gnuradio build.

Package: libgnuradio-network3.10.10
Provides: ${t64:Provides}
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio network library
 Library of  blocks that implement UDP and TCP source and
 sink blocks supporting both IPv4 and IPv6.
 Part of the main gnuradio build.

Package: libgnuradio-pdu3.10.10
Provides: ${t64:Provides}
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio streaming protocol library
 Protocol Data Units library provides signal processing
 blocks that operate on Protocol Data Unit format messages. Many
 such blocks are analogs of streaming API functionality.
 Part of the main gnuradio build.

Package: libgnuradio-pmt3.10.10
Provides: ${t64:Provides}
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}

## gnuradio 3.10.11.0

=== CMakeLists.txt ===
# Copyright 2011-2021 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
    message(FATAL_ERROR "Prevented in-tree build. This is bad practice.")
endif(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})

# Select the release build type by default to get optimization flags.
# This has to come before project() which otherwise initializes it.
# Build type can still be overridden by setting -DCMAKE_BUILD_TYPE=
set(CMAKE_BUILD_TYPE
    "Release"
    CACHE STRING "")

########################################################################
# Project setup
########################################################################
# Make sure this version matches ${GR_CMAKE_MIN_VERSION} (a variable can't be
# used here).
cmake_minimum_required(VERSION 3.16)
project(gnuradio CXX C)
enable_testing()
option(BUILD_SHARED_LIBS "Build shared libraries" ON)

# Make sure our local CMake Modules path comes first
list(INSERT CMAKE_MODULE_PATH 0 ${PROJECT_SOURCE_DIR}/cmake/Modules)

# Add more build types and check that requested build type is valid
include(GrBuildTypes)
gr_check_build_type(${CMAKE_BUILD_TYPE})
message(STATUS "Build type set to ${CMAKE_BUILD_TYPE}.")

# Set the build date
string(TIMESTAMP BUILD_DATE "%a, %d %b %Y %H:%M:%SZ" UTC)
string(TIMESTAMP BUILD_DATE_SHORT "%Y-%m-%d" UTC)
message(STATUS "Build date set to ${BUILD_DATE}.")

include(GrComponent)

# Set the version information here
# cmake-format: off
SET(VERSION_MAJOR 3)
SET(VERSION_API   10)
SET(VERSION_ABI   11)
SET(VERSION_PATCH 0)
include(GrVersion) #setup version info
# cmake-format: on

#Set minimum version requirements
include(GrMinReq)

########################################################################
# Setup Boost for global use (within this build)
# Do this before enabling testing support, as it depends
# on unit_test_framework
########################################################################
include(GrBoost)
gr_register_component("testing-support" ENABLE_TESTING Boost_UNIT_TEST_FRAMEWORK_FOUND)

# Enable generation of compile_commands.json for code completion engines
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

# Set wiki block docs url prefix used in grc-docs.conf (block name gets appended to end of this string)
set(GRC_DOCS_URL_PREFIX "https://wiki.gnuradio.org/index.php/")

########################################################################
# Environment setup
########################################################################
if(NOT DEFINED BOOST_ROOT)
    set(BOOST_ROOT "${CMAKE_INSTALL_PREFIX}")
endif()

########################################################################
# Import executables from a native build (for cross compiling)
# http://www.vtk.org/Wiki/CMake_Cross_Compiling#Using_executables_in_the_build_created_during_the_build
########################################################################
if(IMPORT_EXECUTABLES)
    include(${IMPORT_EXECUTABLES})
endif(IMPORT_EXECUTABLES)

#set file that the native build will fill with exports
set(EXPORT_FILE ${PROJECT_BINARY_DIR}/ImportExecutables.cmake)
file(WRITE ${EXPORT_FILE} ) #blank the file (subdirs will append)

########################################################################
# Incorporate CMake function/macros overloading.
########################################################################

include(CMakeOverloads)

########################################################################
# Compiler settings
########################################################################

include(GrCompilerSettings)

# Record Compiler Info for record
string(TOUPPER ${CMAKE_BUILD_TYPE} GRCBTU)
set(COMPILER_INFO "")
if(MSVC)
    if(MSVC_VERSION LESS "${MSVC_MIN_VERSION}")
        message(FATAL_ERROR "MSVC Versions < minimum version ${MSVC_MIN_VERSION}")
    endif()
    set(cmake_c_compiler_version ${MSVC_VERSION})
    set(cmake_cxx_compiler_version ${MSVC_VERSION})
else()
    execute_process(COMMAND ${CMAKE_C_COMPILER} --version
                    OUTPUT_VARIABLE cmake_c_compiler_version)
    execute_process(COMMAND ${CMAKE_CXX_COMPILER} --version
                    OUTPUT_VARIABLE cmake_cxx_compiler_version)
endif(MSVC)
set(COMPILER_INFO
    "${CMAKE_C_COMPILER}:::${CMAKE_C_FLAGS_${GRCBTU}} ${CMAKE_C_FLAGS}\n${CMAKE_CXX_COMPILER}:::${CMAKE_CXX_FLAGS_${GRCBTU}} ${CMAKE_CXX_FLAGS}\n"
)

# Convert to a C string to compile and display properly
string(STRIP "${cmake_c_compiler_version}" cmake_c_compiler_version)
string(STRIP "${cmake_cxx_compiler_version}" cmake_cxx_compiler_version)
string(STRIP ${COMPILER_INFO} COMPILER_INFO)
message(STATUS "Compiler Version: ${cmake_c_compiler_version}")
message(STATUS "Compiler Flags: ${COMPILER_INFO}")
string(REPLACE "\n" " \\n" cmake_c_compiler_version ${cmake_c_compiler_version})
string(REPLACE "\n" " \\n" cmake_cxx_compiler_version ${cmake_cxx_compiler_version})
string(REPLACE "\n" " \\n" COMPILER_INFO ${COMPILER_INFO})

########################################################################
# Install directories
########################################################################
include(GrPlatform) #define LIB_SUFFIX

# Install our Cmake modules into $prefix/lib/cmake/gnuradio
# See "Package Configuration Files" on page:
#    http://www.cmake.org/Wiki/CMake/Tutorials/Packaging

if(NOT CMAKE_MODULES_DIR)
    set(CMAKE_MODULES_DIR lib${LIB_SUFFIX}/cmake)
endif(NOT CMAKE_MODULES_DIR)

# cmake-format: off
SET(GR_RUNTIME_DIR     bin CACHE PATH "Path to install all binaries")
SET(GR_LIBRARY_DIR     lib${LIB_SUFFIX} CACHE PATH "Path to install libraries")
SET(GR_INCLUDE_DIR     include CACHE PATH "Path to install header files")
SET(GR_CMAKE_DIR       ${CMAKE_MODULES_DIR}/gnuradio)
SET(GR_DATA_DIR        share CACHE PATH "Base location for data")
SET(GR_PKG_DATA_DIR    ${GR_DATA_DIR}/${CMAKE_PROJECT_NAME} CACHE PATH "Path to install package data")
SET(GR_DOC_DIR         ${GR_DATA_DIR}/doc CACHE PATH "Path to install documentation")
SET(GR_PKG_DOC_DIR     ${GR_DOC_DIR}/${CMAKE_PROJECT_NAME}-${DOCVER} CACHE PATH "Path to install package docs")
SET(GR_MAN_DIR         ${GR_DATA_DIR}/man CACHE PATH "Path to install man pages")
SET(GR_LIBEXEC_DIR     libexec CACHE PATH "Path to install libexec files")
SET(GR_PKG_LIBEXEC_DIR ${GR_LIBEXEC_DIR}/${CMAKE_PROJECT_NAME} CACHE PATH "Path to install package libexec files")
SET(GRC_BLOCKS_DIR     ${GR_PKG_DATA_DIR}/grc/blocks CACHE PATH "Path to install GRC blocks")
SET(GR_THEMES_DIR      ${GR_PKG_DATA_DIR}/themes CACHE PATH "Path to install QTGUI themes")
SET(GRC_EXAMPLES_DIR   ${GR_PKG_DATA_DIR}/examples CACHE PATH "Path to install GRC example flowgraphs")
# cmake-format: on

# Set location of config/prefs files in /etc
# Special exception if prefix is /usr so we don't make a /usr/etc.
set(GR_CONF_DIR
    etc
    CACHE PATH "Path to install config files")
string(COMPARE EQUAL "${CMAKE_INSTALL_PREFIX}" "/usr" isusr)
if(isusr)
    set(SYSCONFDIR
        "/${GR_CONF_DIR}"
        CACHE PATH "System configuration directory")
else(isusr)
    set(SYSCONFDIR
        "${CMAKE_INSTALL_PREFIX}/${GR_CONF_DIR}"
        CACHE PATH "System configuration directory" FORCE)
endif(isusr)

set(GR_PKG_CONF_DIR
    ${SYSCONFDIR}/${CMAKE_PROJECT_NAME}/conf.d
    CACHE PATH "Path to install package configs")
set(GR_PREFSDIR
    ${SYSCONFDIR}/${CMAKE_PROJECT_NAME}/conf.d
    CACHE PATH "Path to install preference files")

option(ENABLE_PERFORMANCE_COUNTERS "Enable block performance counters" ON)
if(ENABLE_PERFORMANCE_COUNTERS)
    message(STATUS "ADDING PERF COUNTERS")
    set(GR_PERFORMANCE_COUNTERS True)
else(ENABLE_PERFORMANCE_COUNTERS)
    set(GR_PERFORMANCE_COUNTERS False)
    message(STATUS "NO PERF COUNTERS")
endif(ENABLE_PERFORMANCE_COUNTERS)

########################################################################
# Variables replaced when configuring the package config files
########################################################################
# cmake-format: off
file(TO_CMAKE_PATH "${CMAKE_INSTALL_PREFIX}"           prefix)
file(TO_CMAKE_PATH "\${prefix}"                        exec_prefix)
file(TO_CMAKE_PATH "\${exec_prefix}/${GR_LIBRARY_DIR}" libdir)
file(TO_CMAKE_PATH "\${prefix}/${GR_INCLUDE_DIR}"      includedir)
file(TO_CMAKE_PATH "${SYSCONFDIR}"                     SYSCONFDIR)
file(TO_CMAKE_PATH "${GR_PREFSDIR}"                    GR_PREFSDIR)
# cmake-format: on

if(WIN32)
    file(RELATIVE_PATH prefix_relative_to_lib "${prefix}/${GR_RUNTIME_DIR}" "${prefix}")
else(WIN32)
    file(RELATIVE_PATH prefix_relative_to_lib "${prefix}/${GR_LIBRARY_DIR}" "${prefix}")
endif(WIN32)
file(RELATIVE_PATH SYSCONFDIR_relative_to_prefix "${prefix}" "${SYSCONFDIR}")
file(RELATIVE_PATH GR_PREFSDIR_relative_to_prefix "${prefix}" "${GR_PREFSDIR}")

########################################################################
# On Apple only, set install name and use rpath correctly, if not already set
########################################################################
if(APPLE)
    if(NOT CMAKE_INSTALL_NAME_DIR)
        set(CMAKE_INSTALL_NAME_DIR
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR}
            CACHE PATH "Library Install Name Destination Directory" FORCE)
    endif(NOT CMAKE_INSTALL_NAME_DIR)
    if(NOT CMAKE_INSTALL_RPATH)
        set(CMAKE_INSTALL_RPATH
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR}
            CACHE PATH "Library Install RPath" FORCE)
    endif(NOT CMAKE_INSTALL_RPATH)
    if(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
        set(CMAKE_BUILD_WITH_INSTALL_RPATH
            ON
            CACHE BOOL "Do Build Using Library Install RPath" FORCE)
    endif(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
endif(APPLE)

########################################################################
# Create uninstall target
########################################################################
configure_file(${PROJECT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
               ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake @ONLY)

add_custom_target(uninstall ${CMAKE_COMMAND} -P
                            ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

########################################################################
# Enable python component
########################################################################
include(GrPython)
gr_python_check_module_raw("packaging" "import packaging" PACKAGING_FOUND)
if(NOT PACKAGING_FOUND)
    message(STATUS "")
    message(STATUS "***************************** WARNING!!! *******")
    message(STATUS "The python package packaging is missing")
    message(STATUS "This package is required for python support")
    message(STATUS "Please install python3-packaging")
    message(STATUS "or run pip3 install packaging")
    message(STATUS "************************************************")
endif()
gr_python_check_module(
    "numpy" numpy
    "LooseVersion(numpy.__version__) >= LooseVersion('${GR_NUMPY_MIN_VERSION}')"
    NUMPY_FOUND)
# Needed for automatic regeneration of some bindings
gr_python_check_module(
    "pygccxml" pygccxml
    "LooseVersion(pygccxml.__version__) >= LooseVersion('${GR_PYGCCXML_MIN_VERSION}')"
    PYGCCXML_FOUND)
if(NOT PYGCCXML_FOUND)
    message(STATUS "")
    message(STATUS "***************************** WARNING!!! *************************")
    message(STATUS "pygccxml is highly recommended for using gr_modtool")
    message(STATUS "and is either not present or below the minimum version "
                   ${GR_PYGCCXML_MIN_VERSION})
    message(STATUS "Only trivial bindings will be generated using gr_modtool bind ")
    message(STATUS "******************************************************************")
endif()

find_package(pybind11)
if(pybind11_FOUND)
    if(${pybind11_VERSION} VERSION_LESS ${PYBIND11_MIN_VERSION})

=== gr-dtv/CMakeLists.txt ===
# Copyright 2014 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Setup dependencies
########################################################################

########################################################################
# Register component
########################################################################
include(GrComponent)

gr_register_component("gr-dtv" ENABLE_GR_DTV ENABLE_GNURADIO_RUNTIME ENABLE_GR_ANALOG
                      ENABLE_GR_FILTER ENABLE_GR_FEC)

set(GR_PKG_DTV_EXAMPLES_DIR ${GR_PKG_DATA_DIR}/examples/dtv)

########################################################################
# Begin conditional configuration
########################################################################
if(ENABLE_GR_DTV)

    ########################################################################
    # Add subdirectories
    ########################################################################
    add_subdirectory(include/gnuradio/dtv)
    add_subdirectory(lib)
    if(ENABLE_PYTHON)
        add_subdirectory(python/dtv)
        if(ENABLE_EXAMPLES)
            add_subdirectory(examples)
        endif(ENABLE_EXAMPLES)
        add_subdirectory(apps)
    endif(ENABLE_PYTHON)
    if(ENABLE_GRC)
        add_subdirectory(grc)
    endif(ENABLE_GRC)
    add_subdirectory(docs)

    ########################################################################
    # Create Pkg Config File
    ########################################################################
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-dtv.pc.in
                   ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-dtv.pc @ONLY)

    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-dtv.pc
            DESTINATION ${GR_LIBRARY_DIR}/pkgconfig)

endif(ENABLE_GR_DTV)

=== gr-fec/CMakeLists.txt ===
# Copyright 2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Setup dependencies
########################################################################

########################################################################
# Register component
########################################################################
include(GrComponent)

find_package(GSL)

gr_register_component("gr-fec" ENABLE_GR_FEC ENABLE_GNURADIO_RUNTIME ENABLE_GR_BLOCKS)

set(GR_PKG_FEC_EXAMPLES_DIR ${GR_PKG_DATA_DIR}/examples/fec)

########################################################################
# Begin conditional configuration
########################################################################
if(ENABLE_GR_FEC)

    ########################################################################
    # Add subdirectories
    ########################################################################
    add_subdirectory(include/gnuradio/fec)
    add_subdirectory(lib)
    if(ENABLE_PYTHON)
        add_subdirectory(python/fec)
        add_subdirectory(python/fec/LDPC)
        if(ENABLE_EXAMPLES)
            add_subdirectory(examples)
        endif(ENABLE_EXAMPLES)
    endif(ENABLE_PYTHON)
    if(ENABLE_GRC)
        add_subdirectory(grc)
    endif(ENABLE_GRC)
    add_subdirectory(docs)
    add_subdirectory(ldpc_alist)

    ########################################################################
    # Create Pkg Config File
    ########################################################################
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-fec.pc.in
                   ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-fec.pc @ONLY)

    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-fec.pc
            DESTINATION ${GR_LIBRARY_DIR}/pkgconfig)

endif(ENABLE_GR_FEC)

=== docs/man/CMakeLists.txt ===
# Copyright 2020 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Man pages
########################################################################

set(MAN_SRC_DIR ${CMAKE_CURRENT_SOURCE_DIR})
set(MAN_BUILD_DIR ${CMAKE_CURRENT_BINARY_DIR})

list(
    APPEND
    manpages
    dial_tone.1
    display_qt.1
    gnuradio-companion.1
    gnuradio-config-info.1
    grcc.1
    gr-ctrlport-monitor.1
    gr_filter_design.1
    gr_modtool.1
    gr-perf-monitorx.1
    gr_plot_const.1
    gr_plot_fft.1
    gr_plot_iq.1
    gr_plot_psd.1
    gr_plot_qt.1
    gr_plot_time.1
    gr_read_file_metadata.1
    polar_channel_construction.1
    tags_demo.1
    uhd_fft.1
    uhd_rx_cfile.1
    uhd_rx_nogui.1
    uhd_siggen.1
    uhd_siggen_gui.1)

foreach(manpage ${manpages})
    configure_file(${MAN_SRC_DIR}/${manpage}.in ${MAN_BUILD_DIR}/${manpage} @ONLY)
    install(FILES ${MAN_BUILD_DIR}/${manpage} DESTINATION ${GR_MAN_DIR}/man1)
endforeach(manpage)

=== gnuradio-runtime/apps/CMakeLists.txt ===
# Copyright 2010-2011,2013 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Setup executables
########################################################################
add_executable(gnuradio-config-info gnuradio-config-info.cc)
target_link_libraries(gnuradio-config-info gnuradio-runtime Boost::program_options)
install(TARGETS gnuradio-config-info DESTINATION ${GR_RUNTIME_DIR})

=== gnuradio-runtime/python/CMakeLists.txt ===
# Copyright 2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
include(GrPython)

add_subdirectory(gnuradio)
add_subdirectory(pmt)

=== gr-analog/grc/CMakeLists.txt ===
# Copyright 2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

file(GLOB yml_files "*.yml")
install(FILES ${yml_files} DESTINATION ${GRC_BLOCKS_DIR})

=== gr-filter/docs/CMakeLists.txt ===
# Copyright 2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

install(FILES README.filter DESTINATION ${GR_PKG_DOC_DIR})

=== gr-filter/grc/CMakeLists.txt ===
# Copyright 2012,2020 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

install(
    FILES filter.tree.yml
          filter_dc_blocker_xx.block.yml
          filter_fft_filter_xxx.block.yml
          filter_fft_low_pass_filter.block.yml
          filter_fft_root_raised_cosine_filter.block.yml
          filter_fir_filter_xxx.block.yml
          filter_filter_delay_fc.block.yml
          filter_filterbank_vcvcf.block.yml
          filter_ival_decimator.block.yml
          filter_mmse_resampler_xx.block.yml
          filter_freq_xlating_fft_filter_ccc.block.yml
          filter_freq_xlating_fir_filter_xxx.block.yml
          filter_hilbert_fc.block.yml
          filter_iir_filter_xxx.block.yml
          filter_interp_fir_filter_xxx.block.yml
          filter_pfb_arb_resampler.block.yml
          filter_pfb_channelizer.block.yml
          filter_pfb_channelizer_hier.block.yml
          filter_pfb_decimator.block.yml
          filter_pfb_interpolator.block.yml
          filter_pfb_synthesizer.block.yml
          filter_rational_resampler_xxx.block.yml
          filter_single_pole_iir_filter_xx.block.yml
          filter_low_pass_filter.block.yml
          filter_high_pass_filter.block.yml
          filter_band_pass_filter.block.yml
          filter_band_reject_filter.block.yml
          filter_root_raised_cosine_filter.block.yml
          variable_low_pass_filter_taps.block.yml
          variable_high_pass_filter_taps.block.yml
          variable_band_pass_filter_taps.block.yml
          variable_band_reject_filter_taps.block.yml
          variable_file_filter_taps.block.yml
          variable_rrc_filter_taps.block.yml
    DESTINATION ${GRC_BLOCKS_DIR})

=== gr-network/grc/CMakeLists.txt ===
# Copyright 2020 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-network
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

install(
    FILES network_socket_pdu.block.yml network_tcp_sink.block.yml
          network_tcp_source.block.yml network_tuntap_pdu.block.yml
          network_udp_sink.block.yml network_udp_source.block.yml
    DESTINATION share/gnuradio/grc/blocks)

=== gr-qtgui/grc/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
file(GLOB yml_files "*.yml")

macro(REPLACE_IN_FILE _yml_block match replace)
    set(yml_block_src "${CMAKE_CURRENT_SOURCE_DIR}/${_yml_block}")
    set(yml_block "${CMAKE_CURRENT_BINARY_DIR}/${_yml_block}")

    list(REMOVE_ITEM yml_files "${yml_block_src}")
    file(READ "${yml_block_src}" yml_block_src_text)
    string(REPLACE "${match}" "${replace}" yml_block_text "${yml_block_src_text}")
    file(WRITE "${yml_block}" "${yml_block_text}")

    list(APPEND generated_yml_files "${yml_block}")
endmacro()

install(FILES ${yml_files} ${generated_yml_files} DESTINATION "${GRC_BLOCKS_DIR}")

=== gr-uhd/grc/CMakeLists.txt ===
# Copyright 2011,2018 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Rules for generating the source and sink yml wrappers
########################################################################
include(GrPython)

macro(GEN_BLOCK_YML _generator _yml_block)
    set(generator ${CMAKE_CURRENT_SOURCE_DIR}/${_generator})
    set(yml_block ${CMAKE_CURRENT_BINARY_DIR}/${_yml_block})
    list(APPEND yml_blocks ${yml_block})
    add_custom_command(
        DEPENDS ${generator}
        OUTPUT ${yml_block}
        COMMAND ${PYTHON_EXECUTABLE} ${generator} ${yml_block})
endmacro(GEN_BLOCK_YML)

GEN_BLOCK_YML(gen_rfnoc_ddc_block_yml.py uhd_rfnoc_ddc.block.yml)
GEN_BLOCK_YML(gen_rfnoc_duc_block_yml.py uhd_rfnoc_duc.block.yml)
GEN_BLOCK_YML(gen_rfnoc_fir_filter_block_yml.py uhd_rfnoc_fir_filter.block.yml)
GEN_BLOCK_YML(gen_rfnoc_replay_block_yml.py uhd_rfnoc_replay.block.yml)
GEN_BLOCK_YML(gen_rfnoc_rx_radio_block_yml.py uhd_rfnoc_rx_radio.block.yml)
GEN_BLOCK_YML(gen_rfnoc_siggen_block_yml.py uhd_rfnoc_siggen.block.yml)
GEN_BLOCK_YML(gen_rfnoc_tx_radio_block_yml.py uhd_rfnoc_tx_radio.block.yml)
GEN_BLOCK_YML(gen_rfnoc_window_block_yml.py uhd_rfnoc_window.block.yml)
GEN_BLOCK_YML(gen_uhd_usrp_blocks.py uhd_usrp_sink.block.yml)
GEN_BLOCK_YML(gen_uhd_usrp_blocks.py uhd_usrp_source.block.yml)

add_custom_target(uhd_grc_yml_blocks ALL DEPENDS ${yml_blocks})

install(FILES ${yml_blocks} uhd_amsg_source.block.yml uhd.tree.yml
        DESTINATION ${GRC_BLOCKS_DIR})

if(ENABLE_UHD_RFNOC)
    install(
        FILES rfnoc.domain.yml
              uhd_fpga_clk.domain.yml
              uhd_fpga_ctrl.domain.yml
              uhd_fpga_data.domain.yml
              uhd_fpga_ddc.block.yml
              uhd_fpga_duc.block.yml
              uhd_fpga_fft.block.yml
              uhd_fpga_io_ctrl_port.domain.yml
              uhd_fpga_io_radio.domain.yml
              uhd_fpga_io_time_keeper.domain.yml
              uhd_fpga_radio.block.yml
              uhd_fpga_sep.block.yml
              uhd_fpga_x310.block.yml
              uhd_rfnoc_addsub.block.yml
              uhd_rfnoc_fft.block.yml
              uhd_rfnoc_fosphor.block.yml
              uhd_rfnoc_graph.block.yml
              uhd_rfnoc_keep_one_in_n.block.yml
              uhd_rfnoc_logpwr.block.yml
              uhd_rfnoc_moving_avg.block.yml
              uhd_rfnoc_null_src_sink.block.yml
              uhd_rfnoc_rx_streamer.block.yml
              uhd_rfnoc_split_stream.block.yml
              uhd_rfnoc_switchboard.block.yml
              uhd_rfnoc_tx_streamer.block.yml
              uhd_rfnoc_vector_iir.block.yml
        DESTINATION ${GRC_BLOCKS_DIR})
    if(PYQT5_FOUND)
        install (FILES uhd_msgpushbutton.block.yml DESTINATION ${GRC_BLOCKS_DIR})
    endif(PYQT5_FOUND)
endif(ENABLE_UHD_RFNOC)

=== debian/changelog ===
gnuradio (3.10.11.0-2build4) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 29 Jan 2025 22:31:04 +0000

gnuradio (3.10.11.0-2build3) plucky; urgency=medium

  * No-change rebuild for libspdlog1.15.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 25 Jan 2025 19:37:57 +0000

gnuradio (3.10.11.0-2build2) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2025 05:18:59 +0100

gnuradio (3.10.11.0-2build1) plucky; urgency=medium

  * Rebuild against latest fmtlib

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 13 Nov 2024 10:08:00 -0500

gnuradio (3.10.11.0-2) unstable; urgency=medium

  * pdf-documentation patch: set larger pool_size

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 16 Aug 2024 06:04:10 -0400

gnuradio (3.10.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Const (keyword) cleanup in a large number of files. QtGUI code uses const
    in many more places.
  * Runtime - Add `persistent()` function to gr paths module. This function
    returns either the value of the `XDG_CACHE_HOME` environment variable, or
    `appdata()/.local/state`.
  * GRC - Work continues on the Qt version of GRC (`gnuradio-companion --qt`).
    While the Gtk version is still the default, we're getting close to the
    point where the Qt version can be the default.
    - Generated Python code now includes a startup event (`flowgraph_started`)
    to the top level class. This was added specifically to avoid a race in the
    Variable Function Probe block, and may be useful elsewhere.
    - Struct variables have not been usable since around v3.8. Fixed!
    - Paths are now based on gr paths, where they were previous hardcoded to
      the user's home directory.
    - C++ hier block code paths fixed (so hier blocks work again).
    - Block connection line shape and width are now preferences.
  * gr-blocks - New Burst To Stream block transforms a bursty tagged stream
    into a continuous stream by inserting zeros in the output between input
    packets whenever no packets are available at the input.
  * gr-digital - FLL Band Edge power calculations fixed,
    along with thread safety issues.
  * gr-fec - Unused RS code removed - unlikely anyone will notice.
  * gr-filter- Numpy `float_` changed to `float64` for Numpy 2.0 compatibility.
  * gr-fft - Vector version of FFT `fft_v` library function (calls fftw)
    thread safety improved.
  * gr-uhd - Do not require PyQt5 for non-graphical configurations.
  * modtool - Many bug fixes and cleanups, resulting in more reliable
    operation. That sounds really good, right?
    - Remove dependency on the "click" package.
    - Appending new blocks to CMake files respects closing parens.

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 24 Jul 2024 09:36:37 -0400

gnuradio (3.10.11.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * upload to experimenal for soversion bump

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 10 Jul 2024 21:33:30 -0400

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends-Indep: doxygen-latex
-Build-Depends: dpkg-dev (>= 1.22.5), cmake (>= 3.16.3),
+Build-Depends: cmake (>= 3.16.3),
                cppzmq-dev [!hurd-amd64],
                debhelper-compat (= 13),
                dh-python,
+               dpkg-dev (>= 1.22.5),
                gir1.2-gtk-3.0,
                gir1.2-pango-1.0,
                graphviz,
@@ -185,7 +186,7 @@
  .
  Part of the main gnuradio build.
 
-Package: libgnuradio-analog3.10.10
+Package: libgnuradio-analog3.10.11
 Provides: ${t64:Provides}
 Section: libs
 Architecture: any
@@ -197,7 +198,7 @@
  These functions are also in gnuradio-core.
  Part of the main gnuradio build.
 
-Package: libgnuradio-audio3.10.10
+Package: libgnuradio-audio3.10.11
 Provides: ${t64:Provides}
 Section: libs
 Architecture: any
@@ -211,7 +212,7 @@
  automatically discover the correct one to use.  Part of the main
  gnuradio build.
 
-Package: libgnuradio-blocks3.10.10
+Package: libgnuradio-blocks3.10.11
 Provides: ${t64:Provides}
 Section: libs
 Architecture: any
@@ -223,7 +224,7 @@
  These functions are also in gnuradio-core.
  Part of the main gnuradio build.
 
-Package: libgnuradio-channels3.10.10
+Package: libgnuradio-channels3.10.11
 Provides: ${t64:Provides}
 Section: libs
 Architecture: any
@@ -235,7 +236,7 @@
  These functions are also in gnuradio-core.
  Part of the main gnuradio build.
 
-Package: libgnuradio-digital3.10.10
+Package: libgnuradio-digital3.10.11
 Provides: ${t64:Provides}
 Section: libs
 Architecture: any
@@ -247,7 +248,7 @@
  including bpsk, qpsk, gmsk and ofdm signals.
  Part of the main gnuradio build.
 
-Package: libgnuradio-dtv3.10.10
+Package: libgnuradio-dtv3.10.11
 Provides: ${t64:Provides}
 Section: libs
 Architecture: any
@@ -259,7 +260,7 @@
  DVB-S2, DVB-T, DVB-T2 digital video broadcast standards.
  Part of the main gnuradio build.
 
-Package: libgnuradio-fec3.10.10
+Package: libgnuradio-fec3.10.11
 Provides: ${t64:Provides}
 Section: libs
 Architecture: any
@@ -272,7 +273,7 @@
  decoders for no-op dummmy, repetition, and convolutional classes.
  Part of the main gnuradio build.
 
-Package: libgnuradio-fft3.10.10
+Package: libgnuradio-fft3.10.11
 Provides: ${t64:Provides}
 Section: libs
 Architecture: any
@@ -284,7 +285,7 @@
  Uses single precision FFT from libfftw3-single3.
  Part of the main gnuradio build.
 
-Package: libgnuradio-filter3.10.10
+Package: libgnuradio-filter3.10.11
 Provides: ${t64:Provides}
 Section: libs
 Architecture: any
@@ -297,7 +298,7 @@
  PFB arbitrary resampler methods.
  Part of the main gnuradio build.
 
-Package: libgnuradio-iio3.10.10
+Package: libgnuradio-iio3.10.11
 Provides: ${t64:Provides}
 Section: libs
 Architecture: linux-any
@@ -314,7 +315,7 @@
  .
  Part of the main gnuradio build.
 
-Package: libgnuradio-network3.10.10
+Package: libgnuradio-network3.10.11
 Provides: ${t64:Provides}
 Section: libs
 Architecture: any
@@ -326,7 +327,7 @@
  sink blocks supporting both IPv4 and IPv6.
  Part of the main gnuradio build.
 
-Package: libgnuradio-pdu3.10.10
+Package: libgnuradio-pdu3.10.11
 Provides: ${t64:Provides}
 Section: libs
 Architecture: any
@@ -339,8 +340,8 @@
  such blocks are analogs of streaming API functionality.
  Part of the main gnuradio build.
 
-Package: libgnuradio-pmt3.10.10
-Provides: ${t64:Provides}
-Section: libs
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
+Package: libgnuradio-pmt3.10.11
+Provides: ${t64:Provides}
+Section: libs
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter $(DEB_HOST_ARCH), armel mipsel m68k powerpc sh4))
  export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
endif

%:
	dh $@ --with python3 --with numpy3 --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" -DENABLE_SYSTEM_DESKTOP=ON -DENABLE_DOXYGEN_PDF=ON

override_dh_python3:
	dh_python3 --no-ext-rename

override_dh_auto_install:
	rm -rf debian/tmp/usr/share/doc/gnuradio-doc/xml/License.xml.gz
	dh_auto_install
	rm -f debian/tmp/usr/lib/py*/site-packages/gnuradio/ctrlport/GNURadio/*remotec
	rm -f debian/tmp/usr/lib/py*/site-packages/gnuradio/ctrlport/GNURadio/*remoteo
	rm -f  debian/gnuradio/usr/share/doc/gnuradio/html/*md5
	rm -f  debian/gnuradio-doc/usr/share/doc/gnuradio-doc/html/*md5
	if [ -f debian/tmp/usr/share/doc/gnuradio*/config/thrift.conf.example ] ; then \
	 install -d debian/gnuradio/usr/share/doc/gnuradio/config &&\
	 mv debian/tmp/usr/share/doc/gnuradio*/config/* debian/gnuradio/usr/share/doc/gnuradio/config/ ; fi

#	- if case "$(DEB_BUILD_ARCH)" in *"i386"*) false;; *"hppa"*) false;; *) true;; esac; then ARGS='--timeout 10' HOME=$(CURDIR)/debian/test xvfb-run dh_auto_test ; fi
override_dh_auto_test:
	mkdir debian/test
	mkdir debian/test/.gnuradio
	- ARGS='--timeout 600' HOME=$(CURDIR)/debian/test QT_QPA_PLATFORM=offscreen dh_auto_test
	rm -rf debian/test

override_dh_acc:
	- dh_acc $@
	- cat logs/gnuradio-dev/*/log.txt

override_dh_installmime:
	dh_installmime
	rm -f debian/gnuradio/usr/share/mime/packages/gnuradio.xml

override_dh_gencontrol:
	dh_gencontrol -- -Vboost-version=`dpkg-query -W -f='$${Depends}' libboost-date-time-dev| cut -b19- |cut -b-4`

override_dh_auto_clean:
	rm -rf docs/doxygen/doxyxml/__pycache__
	rm -rf docs/doxygen/doxyxml/generated/__pycache__
	dh_auto_clean $@
